Commit 3e99cd17 authored by Antoine Le Gonidec's avatar Antoine Le Gonidec

2.11.0 release

parents 12686bfb 07d985b8
Pipeline #107375 passed with stage
in 2 minutes and 3 seconds
2.11.0
* Add ability to generate packages for Gentoo, using --package=gentoo
* Rewrite of launchers-related functions. Compatibility wrappers still
exist for old functions
* archive_guess_type: Automatically set ARCHIVE_TYPE for 7-zip archives
* Nixstaller archives: Guess header length instead of using hardcoded value
* Improve support for Java games
* pkg_write_*: Reliably use archive-specific dependencies list when
available
* New option --skip-free-space-check: Bypass free space check, create
temporary directories under $TMPDIR, defaults to /tmp
* Fix issue with pre-2.8 compatibility code in icons_linking_postinst
* move_icons_to: Fix crash when --prefix is set to a custom value
2.10.5
* select_package_architecture: Fix bug when using --architecture=64 (or
......
#!/bin/sh
set -o errexit
###
# Copyright (c) 2015-2018, Antoine Le Gonidec
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# This software is provided by the copyright holders and contributors "as is"
# and any express or implied warranties, including, but not limited to, the
# implied warranties of merchantability and fitness for a particular purpose
# are disclaimed. In no event shall the copyright holder or contributors be
# liable for any direct, indirect, incidental, special, exemplary, or
# consequential damages (including, but not limited to, procurement of
# substitute goods or services; loss of use, data, or profits; or business
# interruption) however caused and on any theory of liability, whether in
# contract, strict liability, or tort (including negligence or otherwise)
# arising in any way out of the use of this software, even if advised of the
# possibility of such damage.
###
###
# Asura
# build native packages from the original installers
# send your bug reports to mopi@dotslashplay.it
###
script_version=20181230.1
# Set game-specific variables
GAME_ID='asura'
GAME_NAME='Asura'
ARCHIVE_GOG='asura_en_29046_16209.sh'
ARCHIVE_GOG_URL='https://www.gog.com/game/asura'
ARCHIVE_GOG_MD5='cbfe1067fdf0cfe3e8361d08df55787c'
ARCHIVE_GOG_SIZE='1100000'
ARCHIVE_GOG_VERSION='29046-gog16209'
ARCHIVE_GOG_TYPE='mojosetup'
ARCHIVE_DOC_DATA_PATH='data/noarch/docs'
ARCHIVE_DOC_DATA_FILES='*'
ARCHIVE_GAME_BIN32_PATH='data/noarch/game'
ARCHIVE_GAME_BIN32_FILES='AsuraVengeance.x86 AsuraVengeance_Data/*/x86'
ARCHIVE_GAME_BIN64_PATH='data/noarch/game'
ARCHIVE_GAME_BIN64_FILES='AsuraVengeance.x86_64 AsuraVengeance_Data/*/x86_64'
ARCHIVE_GAME_DATA_PATH='data/noarch/game'
ARCHIVE_GAME_DATA_FILES='AsuraVengeance_Data'
DATA_DIRS='./logs'
APP_MAIN_TYPE='native'
APP_MAIN_EXE_BIN32='AsuraVengeance.x86'
APP_MAIN_EXE_BIN64='AsuraVengeance.x86_64'
APP_MAIN_OPTIONS='-logFile ./logs/$(date +%F-%R).log'
APP_MAIN_ICON='AsuraVengeance_Data/Resources/UnityPlayer.png'
PACKAGES_LIST='PKG_BIN32 PKG_BIN64 PKG_DATA'
PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'
PKG_BIN32_ARCH='32'
PKG_BIN32_DEPS="$PKG_DATA_ID glibc libstdc++ glx xcursor libxrandr"
PKG_BIN64_ARCH='64'
PKG_BIN64_DEPS="$PKG_BIN32_DEPS"
# Load common functions
target_version='2.10'
if [ -z "$PLAYIT_LIB2" ]; then
: ${XDG_DATA_HOME:="$HOME/.local/share"}
for path in\
"$PWD"\
"$XDG_DATA_HOME/play.it"\
'/usr/local/share/games/play.it'\
'/usr/local/share/play.it'\
'/usr/share/games/play.it'\
'/usr/share/play.it'
do
if [ -e "$path/libplayit2.sh" ]; then
PLAYIT_LIB2="$path/libplayit2.sh"
break
fi
done
fi
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
. "$PLAYIT_LIB2"
# Extract game data
extract_data_from "$SOURCE_ARCHIVE"
prepare_package_layout
rm --recursive "$PLAYIT_WORKDIR/gamedata"
# Write launchers
for PKG in 'PKG_BIN32' 'PKG_BIN64'; do
write_launcher 'APP_MAIN'
done
# Build package
PKG='PKG_DATA'
icons_linking_postinst 'APP_MAIN'
write_metadata 'PKG_DATA'
write_metadata 'PKG_BIN32' 'PKG_BIN64'
build_pkg
# Clean up
rm --recursive "$PLAYIT_WORKDIR"
# Print instructions
print_instructions
exit 0
#!/bin/sh -e
set -o errexit
###
# Copyright (c) 2015-2018, Antoine Le Gonidec
# Copyright (c) 2018, Solène Huault
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# This software is provided by the copyright holders and contributors "as is"
# and any express or implied warranties, including, but not limited to, the
# implied warranties of merchantability and fitness for a particular purpose
# are disclaimed. In no event shall the copyright holder or contributors be
# liable for any direct, indirect, incidental, special, exemplary, or
# consequential damages (including, but not limited to, procurement of
# substitute goods or services; loss of use, data, or profits; or business
# interruption) however caused and on any theory of liability, whether in
# contract, strict liability, or tort (including negligence or otherwise)
# arising in any way out of the use of this software, even if advised of the
# possibility of such damage.
###
###
# Battle Chef Brigade
# build native packages from the original installers
# send your bug reports to mopi@dotslashplay.it
###
script_version=20181216.1
# Set game-specific variables
GAME_ID='battle-chef-brigade'
GAME_NAME='Battle Chef Brigade'
ARCHIVE_GOG='battle_chef_brigade_14725_624_23675.sh'
ARCHIVE_GOG_URL='https://www.gog.com/game/battle_chef_brigade'
ARCHIVE_GOG_MD5='d35140bf757e387a2e47198f96356d00'
ARCHIVE_GOG_SIZE='1300000'
ARCHIVE_GOG_VERSION='14725.624-gog23675'
ARCHIVE_GOG_TYPE='mojosetup'
ARCHIVE_DOC_DATA_PATH='data/noarch/docs'
ARCHIVE_DOC_DATA_FILES='*'
ARCHIVE_GAME_BIN_PATH='data/noarch/game'
ARCHIVE_GAME_BIN_FILES='BattleChefBrigade.x86_64 BattleChefBrigade_Data/*/x86_64'
ARCHIVE_GAME_DATA_PATH='data/noarch/game'
ARCHIVE_GAME_DATA_FILES='BattleChefBrigade_Data'
DATA_DIRS='./logs'
APP_MAIN_TYPE='native'
APP_MAIN_PRERUN='if ! command -v pulseaudio >/dev/null 2>&1; then
mkdir --parents libs
ln --force --symbolic /dev/null libs/libpulse-simple.so.0
export LD_LIBRARY_PATH="libs:$LD_LIBRARY_PATH"
else
if [ -e "libs/libpulse-simple.so.0" ]; then
rm libs/libpulse-simple.so.0
rmdir --ignore-fail-on-non-empty libs
fi
pulseaudio --start
fi
export LANG=C'
APP_MAIN_EXE='BattleChefBrigade.x86_64'
APP_MAIN_OPTIONS='-logFile ./logs/$(date +%F-%R).log'
APP_MAIN_ICON='BattleChefBrigade_Data/Resources/UnityPlayer.png'
PACKAGES_LIST='PKG_BIN PKG_DATA'
PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'
PKG_BIN_ARCH='64'
PKG_BIN_DEPS="$PKG_DATA_ID glibc libstdc++"
# Load common functions
target_version='2.10'
if [ -z "$PLAYIT_LIB2" ]; then
: ${XDG_DATA_HOME:="$HOME/.local/share"}
for path in\
"$PWD"\
"$XDG_DATA_HOME/play.it"\
'/usr/local/share/games/play.it'\
'/usr/local/share/play.it'\
'/usr/share/games/play.it'\
'/usr/share/play.it'
do
if [ -e "$path/libplayit2.sh" ]; then
PLAYIT_LIB2="$path/libplayit2.sh"
break
fi
done
fi
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
. "$PLAYIT_LIB2"
# Extract game data
extract_data_from "$SOURCE_ARCHIVE"
prepare_package_layout
rm --recursive "$PLAYIT_WORKDIR/gamedata"
# Write launchers
PKG='PKG_BIN'
write_launcher 'APP_MAIN'
# Build package
PKG='PKG_DATA'
icons_linking_postinst 'APP_MAIN'
write_metadata 'PKG_DATA'
write_metadata 'PKG_BIN'
build_pkg
# Clean up
rm --recursive "$PLAYIT_WORKDIR"
# Print instructions
print_instructions
exit 0
......@@ -4,6 +4,7 @@ set -o errexit
###
# Copyright (c) 2015-2018, Antoine Le Gonidec
# Copyright (c) 2018, Solène Huault
# Copyright (c) 2018, BetaRays
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
......@@ -35,7 +36,7 @@ set -o errexit
# send your bug reports to mopi@dotslashplay.it
###
script_version=20180714.1
script_version=20181202.2
# Set game-specific variables
......@@ -49,16 +50,16 @@ ARCHIVE_HUMBLE_SIZE='1400000'
ARCHIVE_HUMBLE_VERSION='1.0.800-gog130701'
ARCHIVE_DOC_DATA_PATH='bs1dc_linux_v1.0.800'
ARCHIVE_DOC_DATA_FILES='./legal.txt'
ARCHIVE_DOC_DATA_FILES='legal.txt'
ARCHIVE_GAME_BIN32_PATH='bs1dc_linux_v1.0.800'
ARCHIVE_GAME_BIN32_FILES='./i386'
ARCHIVE_GAME_BIN32_FILES='i386'
ARCHIVE_GAME_BIN64_PATH='bs1dc_linux_v1.0.800'
ARCHIVE_GAME_BIN64_FILES='./x86_64'
ARCHIVE_GAME_BIN64_FILES='x86_64'
ARCHIVE_GAME_DATA_PATH='bs1dc_linux_v1.0.800'
ARCHIVE_GAME_DATA_FILES='./*.dat ./font ./icon.bmp ./movies ./music'
ARCHIVE_GAME_DATA_FILES='*.dat font icon.bmp movies music'
APP_MAIN_TYPE='native'
APP_MAIN_EXE_BIN32='i386/bs1dc_i386'
......@@ -71,36 +72,35 @@ PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'
PKG_BIN32_ARCH='32'
PKG_BIN32_DEPS="$PKG_DATA_ID glibc sdl openal"
PKG_BIN32_DEPS="$PKG_DATA_ID glibc sdl1.2 openal"
PKG_BIN64_ARCH='64'
PKG_BIN64_DEPS="$PKG_BIN32_DEPS_DEB"
PKG_BIN64_DEPS="$PKG_BIN32_DEPS"
# Load common functions
target_version='2.9'
target_version='2.10'
if [ -z "$PLAYIT_LIB2" ]; then
[ -n "$XDG_DATA_HOME" ] || XDG_DATA_HOME="$HOME/.local/share"
: ${XDG_DATA_HOME:="$HOME/.local/share"}
for path in\
'./'\
"$XDG_DATA_HOME/play.it/"\
"$XDG_DATA_HOME/play.it/play.it-2/lib/"\
'/usr/local/share/games/play.it/'\
'/usr/local/share/play.it/'\
'/usr/share/games/play.it/'\
'/usr/share/play.it/'
"$PWD"\
"$XDG_DATA_HOME/play.it"\
'/usr/local/share/games/play.it'\
'/usr/local/share/play.it'\
'/usr/share/games/play.it'\
'/usr/share/play.it'
do
if [ -z "$PLAYIT_LIB2" ] && [ -e "$path/libplayit2.sh" ]; then
if [ -e "$path/libplayit2.sh" ]; then
PLAYIT_LIB2="$path/libplayit2.sh"
break
fi
done
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
fi
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
. "$PLAYIT_LIB2"
......
......@@ -34,20 +34,32 @@ set -o errexit
# send your bug reports to vv221@dotslashplay.it
###
script_version=20180819.1
script_version=20181216.2
# Set game-specific variables
GAME_ID='cultist-simulator'
GAME_NAME='Cultist Simulator'
ARCHIVE_GOG='cultist_simulator_en_2018_8_a_2_22766.sh'
ARCHIVE_GOG='cultist_simulator_2018_12_b_1_25838.sh'
ARCHIVE_GOG_URL='https://www.gog.com/game/cultist_simulator'
ARCHIVE_GOG_MD5='bb46774fc98174e3b36257ee9b344543'
ARCHIVE_GOG_SIZE='330000'
ARCHIVE_GOG_VERSION='2018.8.a.2-gog22766'
ARCHIVE_GOG_MD5='24d89e01593a6860e841242818c5e0a4'
ARCHIVE_GOG_SIZE='430000'
ARCHIVE_GOG_VERSION='2018.12.b.1-gog25838'
ARCHIVE_GOG_TYPE='mojosetup'
ARCHIVE_GOG_OLD6='cultist_simulator_2018_10_i_5_24471.sh'
ARCHIVE_GOG_OLD6_MD5='d6f4c068f71dcc7bde8157c0ffd265da'
ARCHIVE_GOG_OLD6_SIZE='300000'
ARCHIVE_GOG_OLD6_VERSION='2018.10.i.5-gog24471'
ARCHIVE_GOG_OLD6_TYPE='mojosetup'
ARCHIVE_GOG_OLD5='cultist_simulator_en_2018_8_a_2_22766.sh'
ARCHIVE_GOG_OLD5_MD5='bb46774fc98174e3b36257ee9b344543'
ARCHIVE_GOG_OLD5_SIZE='330000'
ARCHIVE_GOG_OLD5_VERSION='2018.8.a.2-gog22766'
ARCHIVE_GOG_OLD5_TYPE='mojosetup'
ARCHIVE_GOG_OLD4='cultist_simulator_en_2018_7_b_1_22190.sh'
ARCHIVE_GOG_OLD4_MD5='05b6fe0fc497fa84ffd3a54089252840'
ARCHIVE_GOG_OLD4_SIZE='330000'
......@@ -78,20 +90,20 @@ ARCHIVE_GOG_OLD0_SIZE='310000'
ARCHIVE_GOG_OLD0_VERSION='2018.5.x.6-gog21178'
ARCHIVE_GOG_OLD0_TYPE='mojosetup'
ARCHIVE_DOC0_PATH='data/noarch/docs'
ARCHIVE_DOC0_FILES='./*'
ARCHIVE_DOC0_DATA_PATH='data/noarch/docs'
ARCHIVE_DOC0_DATA_FILES='*'
ARCHIVE_DOC1_PATH='data/noarch/game'
ARCHIVE_DOC1_FILES='./README'
ARCHIVE_DOC1_DATA_PATH='data/noarch/game'
ARCHIVE_DOC1_DATA_FILES='README'
ARCHIVE_GAME_BIN32_PATH='data/noarch/game'
ARCHIVE_GAME_BIN32_FILES='./CS.x86 ./libsteam_api.so ./CS_Data/*/x86'
ARCHIVE_GAME_BIN32_FILES='CS.x86 libsteam_api.so CS_Data/*/x86'
ARCHIVE_GAME_BIN64_PATH='data/noarch/game'
ARCHIVE_GAME_BIN64_FILES='./CS.x86_64 ./libsteam_api64.so ./CS_Data/*/x86_64'
ARCHIVE_GAME_BIN64_FILES='CS.x86_64 libsteam_api64.so CS_Data/*/x86_64'
ARCHIVE_GAME_DATA_PATH='data/noarch/game'
ARCHIVE_GAME_DATA_FILES='./CS_Data'
ARCHIVE_GAME_DATA_FILES='CS_Data'
DATA_DIRS='./logs'
......@@ -118,26 +130,25 @@ PKG_BIN64_DEPS="$PKG_BIN32_DEPS"
target_version='2.10'
if [ -z "$PLAYIT_LIB2" ]; then
[ -n "$XDG_DATA_HOME" ] || XDG_DATA_HOME="$HOME/.local/share"
: ${XDG_DATA_HOME:="$HOME/.local/share"}
for path in\
'./'\
"$XDG_DATA_HOME/play.it/"\
"$XDG_DATA_HOME/play.it/play.it-2/lib/"\
'/usr/local/share/games/play.it/'\
'/usr/local/share/play.it/'\
'/usr/share/games/play.it/'\
'/usr/share/play.it/'
"$PWD"\
"$XDG_DATA_HOME/play.it"\
'/usr/local/share/games/play.it'\
'/usr/local/share/play.it'\
'/usr/share/games/play.it'\
'/usr/share/play.it'
do
if [ -z "$PLAYIT_LIB2" ] && [ -e "$path/libplayit2.sh" ]; then
if [ -e "$path/libplayit2.sh" ]; then
PLAYIT_LIB2="$path/libplayit2.sh"
break
fi
done
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
fi
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
. "$PLAYIT_LIB2"
......
......@@ -2,8 +2,9 @@
set -o errexit
###
# Copyright (c) 2015-2018, Antoine Le Gonidec
# Copyright (c) 2017-2018, Solene Huault
# Copyright (c) 2015-2019, Antoine Le Gonidec
# Copyright (c) 2017-2019, Solene Huault
# Copyright (c) 2018-2019, BetaRays
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
......@@ -35,7 +36,7 @@ set -o errexit
# send your bug reports to vv221@dotslashplay.it
###
script_version=20181010.3
script_version=20190113.1
# Set game-specific variables
......@@ -69,10 +70,10 @@ ARCHIVE_DOC_DATA_PATH='data/noarch/docs'
ARCHIVE_DOC_DATA_FILES='*'
ARCHIVE_GAME_BIN32_PATH='data/noarch/game/dontstarve32'
ARCHIVE_GAME_BIN32_FILES='*.json bin/dontstarve bin/lib32/libfmodevent.so bin/lib32/libfmodevent-4.44.07.so bin/lib32/libfmodex.so bin/lib32/libfmodex-4.44.07.so'
ARCHIVE_GAME_BIN32_FILES='*.json bin/dontstarve bin/lib32/libfmodevent.so bin/lib32/libfmodevent-4.44.07.so bin/lib32/libfmodex.so bin/lib32/libfmodex-4.44.07.so bin/lib32/libSDL2*'
ARCHIVE_GAME_BIN64_PATH='data/noarch/game/dontstarve64'
ARCHIVE_GAME_BIN64_FILES='*.json bin/dontstarve bin/lib64/libfmodevent.so bin/lib64/libfmodevent-4.44.07.so bin/lib64/libfmodex.so bin/lib64/libfmodex-4.44.07.so'
ARCHIVE_GAME_BIN64_FILES='*.json bin/dontstarve bin/lib64/libfmodevent64.so bin/lib64/libfmodevent64-4.44.07.so bin/lib64/libfmodex64.so bin/lib64/libfmodex64-4.44.07.so bin/lib64/libSDL2*'
ARCHIVE_GAME_DATA_PATH='data/noarch/game/dontstarve64'
ARCHIVE_GAME_DATA_FILES='data mods dontstarve.xpm'
......
......@@ -2,7 +2,7 @@
set -o errexit
###
# Copyright (c) 2015-2018, Antoine Le Gonidec
# Copyright (c) 2015-2019, Antoine Le Gonidec
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
......@@ -34,7 +34,7 @@ set -o errexit
# send your bug reports to vv221@dotslashplay.it
###
script_version=20181122.2
script_version=20190101.1
# Set game-specific variables
......@@ -73,6 +73,8 @@ CONFIG_DIRS='./data/settings'
DATA_DIRS='./data/save'
DATA_FILES='./*.LOG'
APP_WINETRICKS='csmt=off'
APP_MAIN_TYPE='wine'
APP_MAIN_EXE='dkii-dx.exe'
APP_MAIN_ICON='dkii.exe'
......@@ -90,7 +92,7 @@ PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'
PKG_BIN_ARCH='32'
PKG_BIN_DEPS="$PKG_DATA_ID wine"
PKG_BIN_DEPS="$PKG_DATA_ID wine winetricks"
# Load common functions
......
#!/bin/sh -e
set -o errexit
###
# Copyright (c) 2015-2019, Antoine Le Gonidec
# Copyright (c) 2018-2019, Solène Huault
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# This software is provided by the copyright holders and contributors "as is"
# and any express or implied warranties, including, but not limited to, the
# implied warranties of merchantability and fitness for a particular purpose
# are disclaimed. In no event shall the copyright holder or contributors be
# liable for any direct, indirect, incidental, special, exemplary, or
# consequential damages (including, but not limited to, procurement of
# substitute goods or services; loss of use, data, or profits; or business
# interruption) however caused and on any theory of liability, whether in
# contract, strict liability, or tort (including negligence or otherwise)
# arising in any way out of the use of this software, even if advised of the
# possibility of such damage.
###
###
# Evoland 2, A Slight Case of Spacetime Continuum Disorder
# build native Linux packages from the original installers
# send your bug reports to mopi@dotslashplay.it
###
script_version=20190113.4
# Set game-specific variables
GAME_ID='evoland-2'
GAME_NAME='Evoland 2, A Slight Case of Spacetime Continuum Disorder'
ARCHIVE_HUMBLE='Evoland2.zip'
ARCHIVE_HUMBLE_URL='https://www.humblebundle.com/store/evoland-2'
ARCHIVE_HUMBLE_MD5='0e34269cb7db3a6c065311eea90e651a'
ARCHIVE_HUMBLE_SIZE='790000'
ARCHIVE_HUMBLE_VERSION='1.0.9137-humble170116'
ARCHIVE_HUMBLE_TYPE='zip'
ARCHIVE_GAME_BIN_PATH='Evoland2'
ARCHIVE_GAME_BIN_FILES='Adobe?AIR Evoland2.exe gamePadConfig.txt pad.exe'
ARCHIVE_GAME_DATA_PATH='Evoland2'
ARCHIVE_GAME_DATA_FILES='game.dat icons META-INF mimetype res.pak'
DATA_DIRS='./save'
APP_MAIN_TYPE='wine'
APP_MAIN_EXE='Evoland2.exe'
APP_MAIN_ICON='Evoland2.exe'
PACKAGES_LIST='PKG_BIN PKG_DATA'
PKG_DATA_ID="${GAME_ID}-data"
PKG_DATA_DESCRIPTION='data'
PKG_BIN_ARCH='32'
PKG_BIN_DEPS="$PKG_DATA_ID wine"
# Load common functions
target_version='2.10'
if [ -z "$PLAYIT_LIB2" ]; then
: ${XDG_DATA_HOME:="$HOME/.local/share"}
for path in\
"$PWD"\
"$XDG_DATA_HOME/play.it"\
'/usr/local/share/games/play.it'\
'/usr/local/share/play.it'\
'/usr/share/games/play.it'\
'/usr/share/play.it'
do
if [ -e "$path/libplayit2.sh" ]; then
PLAYIT_LIB2="$path/libplayit2.sh"
break
fi
done
fi
if [ -z "$PLAYIT_LIB2" ]; then
printf '\n\033[1;31mError:\033[0m\n'
printf 'libplayit2.sh not found.\n'
exit 1
fi
. "$PLAYIT_LIB2"
# Extract game data
extract_data_from "$SOURCE_ARCHIVE"
set_standard_permissions "$PLAYIT_WORKDIR/gamedata"
prepare_package_layout
rm --recursive "$PLAYIT_WORKDIR/gamedata"
# Extract icon
PKG='PKG_BIN'
icons_get_from_package 'APP_MAIN'
# Write launchers
PKG='PKG_BIN'
write_launcher 'APP_MAIN'
# Build package
write_metadata
build_pkg
# Clean up
rm --recursive "$PLAYIT_WORKDIR"
# Print instructions
print_instructions
exit 0
#!/bin/sh -e
set -o errexit
###
# Copyright (c) 2015-2019, Antoine Le Gonidec
# Copyright (c) 2018-2019, BetaRays
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.